# DynamicLanguages Struct Reference

Used for dynamic language support. More...

`#include <strings_type.h>`

## Data Fields
int | num
| Number of languages.
int | curr
| Currently selected language index.
char | curr_file [MAX_PATH]
| Currently selected language file name without path (needed for saving the filename of the loaded language).
TextDirection | text_dir
| Text direction of the currently selected language.
Language | ent [MAX_LANG]
| Information about the languages.

## Detailed Description

Used for dynamic language support.

Definition at line 39 of file strings_type.h.

The documentation for this struct was generated from the following file:

- src/strings_type.h